Skip to main content
PATCH
/
api
/
v1
/
accounts
/
{account_id}
/
funnels
/
{id}
Update a pipeline
curl --request PATCH \
  --url https://connect.voxys.ai/api/v1/accounts/{account_id}/funnels/{id} \
  --header 'Content-Type: application/json' \
  --header 'api_access_token: <api-key>' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "color": "<string>",
  "position": 123,
  "is_public": true,
  "is_active": true
}
'
{
  "id": 3,
  "name": "Sales Pipeline",
  "description": "Main B2B sales pipeline.",
  "color": "#4CAF50",
  "position": 1,
  "is_public": true,
  "is_active": true,
  "stages_count": 5,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developers.voxys.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

api_access_token
string
header
required

API access token for authentication. Obtain from your Voxys Connect profile settings.

Path Parameters

account_id
integer
required

The numeric ID of the account.

id
integer
required

The ID of the pipeline.

Body

application/json
name
string
description
string | null
color
string | null
position
integer | null
is_public
boolean
is_active
boolean

Response

Pipeline updated.

id
integer
Example:

3

name
string
Example:

"Sales Pipeline"

description
string | null
Example:

"Main B2B sales pipeline."

color
string | null
Example:

"#4CAF50"

position
integer
Example:

1

is_public
boolean
Example:

true

is_active
boolean
Example:

true

stages_count
integer
Example:

5

created_at
string<date-time>
updated_at
string<date-time>